/**
 *	@file Kernel.c
 *	@date 2010-11-01
 *	@author -tHE SWINe-
 *	@brief Simple OpenCL kernel demonstration
 */

__kernel void VectorAdd(__global int *p_vector_c, __global const int *p_vector_a, __global const int *p_vector_b)
{
	unsigned int i = get_global_id(0);
	if(i >= VECTOR_LENGTH) // VECTOR_LENGTH is preprocessor macro, supplied at compile time
		return;
	// make sure we do not cross buffer boundaries

	p_vector_c[i] = p_vector_a[i] + p_vector_b[i];
	// do the work
}
